package cn.com.poc.thirdparty.resource.demand.ai.entity;

import cn.com.poc.thirdparty.resource.demand.dgTools.request.AbstractRequest;

import java.io.Serializable;

/**
 * @author alex.yao
 * @date 2023/3/8
 **/
public class AIRequest extends AbstractRequest<AIResult> implements Serializable {
    /**
     * 提供商  BAIDU-百度 TENCENT-腾讯 OPENAI-OPENAI
     */
    private String provider;

    /**
     * 图片数据     BASE64 / URL
     */
    private String image;

    /**
     * 图片类型     BASE64 / URL
     */
    private String imageType;

    /**
     * 接口配置参数
     */
    private String parameters;

    /**
     * 调用接口类型
     * BAIDU       - EDITATTR-人脸属性 ，SELFIE_ANIME-动漫化
     * TENCENT     - AGE-年龄   GENDER-性别   CARTOON-动漫化
     * OPENAI      - CHAT-自然语言
     */
    private String restType;

    /**
     * 资源调用次数
     */
    private Integer num;

    /**
     * 自然语言文本
     */
    private String content;

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public String getProvider() {
        return provider;
    }

    public void setProvider(String provider) {
        this.provider = provider;
    }

    public String getRestType() {
        return restType;
    }

    public void setRestType(String restType) {
        this.restType = restType;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getImageType() {
        return imageType;
    }

    public void setImageType(String imageType) {
        this.imageType = imageType;
    }

    public String getParameters() {
        return parameters;
    }

    public void setParameters(String parameters) {
        this.parameters = parameters;
    }

    @Override
    public String getMethod() throws Exception {
        return null;
    }
}
